/**************************************************
// ████████╗ █████╗ ██████╗ ██╗     ███████╗███████╗
// ╚══██╔══╝██╔══██╗██╔══██╗██║     ██╔════╝██╔════╝
//    ██║   ███████║██████╔╝██║     █████╗  ███████╗
//    ██║   ██╔══██║██╔══██╗██║     ██╔══╝  ╚════██║
//    ██║   ██║  ██║██████╔╝███████╗███████╗███████║
//    ╚═╝   ╚═╝  ╚═╝╚═════╝ ╚══════╝╚══════╝╚══════╝
**************************************************/
.invoice--table{
    //table-layout: fixed;
    width: 100%;
    margin: 20px 0;
    //border: solid 1px red;
}

.invoice--table-head{
    background-color: #f1f1f1;
}

.invoice--table-head-col{

    @include textTableXSmall();
    font-weight: 600;
    white-space: nowrap;

    &.description{
        text-align: left;
    }

    &.quantity{
        width: 7.5%;
    }

    &.unit-price{
        width: 12.5%;
    }

    &.tax{
        width: 7.5%;
    }

    &.total-price{
        width: 15%;
    }
    
}

.invoice--table-row{
    border-bottom: solid 1px #f1f1f1;
    
    &:last-of-type{
        border-bottom: 0;
    }
}

.invoice--table-row-col{
    
    &.description{
        @include textTableMedium();
        font-weight: 700;
        text-align: left;
    }

    &.quantity{
        width: 7.5%;
        text-align: center;
    }

    &.unit-price{
        width: 12.5%;
        text-align: center;
    }

    &.tax{
        width: 7.5%;
        text-align: center;
    }

    &.total-price{
        width: 15%;
        text-align: center;
    }
}

th, td{
    padding: 10px;
    //border: solid 1px red;
}

.description-extras{
    
    @include textTableSmall()
    font-weight: 400;
    margin: 5px 0;

    & li{
        
        &::before{
            content: '•';
            margin-right: 4px;;
        }
    }
}



.invoice--table-subtotal-row{

    & .label{
        @include textTableSmall();
        text-align: right;
    }

    & .amount{
        @include textTableSmall();
        //font-weight: 600;
        text-align: center;
    }
    
}



.invoice--table-subtotal-tax-row{

    & .invoice--table-subtotal-tax-col{

    }

    & .label{
        @include textTableSmall();
        text-align: right;
    }

    & .amount{
        @include textTableSmall();
        //font-weight: 600;
        text-align: center;
    }

}


.invoice--table-total-row{
    background-color: #f1f1f1;

    & .invoice--table-total-col{

    }

    & .label{
        @include textTableMedium();
        font-weight: 700;
        text-align: right;
    }

    & .amount{

        @include textTableMedium();
        font-weight: 700;
        text-align: center;
        white-space: nowrap;
    }
}



